apeman-app-form
==========

<!-- Badge Start -->
<a name="badges"></a>

[![Build Status][bd_travis_shield_url]][bd_travis_url]
[![Code Climate][bd_codeclimate_shield_url]][bd_codeclimate_url]
[![Code Coverage][bd_codeclimate_coverage_shield_url]][bd_codeclimate_url]
[![npm Version][bd_npm_shield_url]][bd_npm_url]

[bd_repo_url]: https://github.com/apeman-app-labo/apeman-app-form
[bd_travis_url]: http://travis-ci.org/apeman-app-labo/apeman-app-form
[bd_travis_shield_url]: http://img.shields.io/travis/apeman-app-labo/apeman-app-form.svg?style=flat
[bd_license_url]: https://github.com/apeman-app-labo/apeman-app-form/blob/master/LICENSE
[bd_codeclimate_url]: http://codeclimate.com/github/apeman-app-labo/apeman-app-form
[bd_codeclimate_shield_url]: http://img.shields.io/codeclimate/github/apeman-app-labo/apeman-app-form.svg?style=flat
[bd_codeclimate_coverage_shield_url]: http://img.shields.io/codeclimate/coverage/github/apeman-app-labo/apeman-app-form.svg?style=flat
[bd_gemnasium_url]: https://gemnasium.com/apeman-app-labo/apeman-app-form
[bd_gemnasium_shield_url]: https://gemnasium.com/apeman-app-labo/apeman-app-form.svg
[bd_npm_url]: http://www.npmjs.org/package/apeman-app-form
[bd_npm_shield_url]: http://img.shields.io/npm/v/apeman-app-form.svg?style=flat
[bd_bower_badge_url]: https://img.shields.io/bower/v/apeman-app-form.svg?style=flat

<!-- Badge End -->


<!-- Description Start -->
<a name="description"></a>

apeman app to parse request body.

<!-- Description End -->


<!-- Overview Start -->
<a name="overview"></a>

Parse request body and set results to `req.body` or `req.files`.


<!-- Overview End -->


<!-- Sections Start -->
<a name="sections"></a>

<!-- Section from "doc/readme/01.Installation.md.hbs" Start -->

<a name="section-doc-readme-01-installation-md"></a>
Installation
-----

```bash
$ npm install apeman-app-form --save
```

<!-- Section from "doc/readme/01.Installation.md.hbs" End -->

<!-- Section from "doc/readme/02.Usage.md.hbs" Start -->

<a name="section-doc-readme-02-usage-md"></a>
Usage
---------

1. Define an app within Apemanfile.js
2. Call the app via apeman app command.

**Apemanfile.js**
```javascript
/** This example Apemanfile to use apeman-app-form */

"use strict";

module.exports = {
    $pkg: {/*...*/},
    $apps: {
        // Define your own app.
        'my-app-01': {
            // Map url and handlers.
            '/': [
                require('apeman-app-form')({}),
                function (req, res, next) {
                    var body = req.body,
                        files = req.files;
                    console.log(body); // Request body data.
                    console.log(files); // Uploaded files.
                    next();
                }
            ]
        }
    }
};
```

Then,
```bash
$ apeman app my-app-01 -p 3000
```

<!-- Section from "doc/readme/02.Usage.md.hbs" End -->

<!-- Section from "doc/readme/03.Options.md.hbs" Start -->

<a name="section-doc-readme-03-options-md"></a>
Options
-------

| Key | Type | Default | Description |
| --- | ---- | --- | --- |
| body | string | 'body' | Property name of req for body data. |
| files | string | 'files' | Property name of req for files data. |

<!-- Section from "doc/readme/03.Options.md.hbs" End -->


<!-- Sections Start -->


<!-- LICENSE Start -->
<a name="license"></a>

License
-------
This software is released under the [MIT License](https://github.com/apeman-app-labo/apeman-app-form/blob/master/LICENSE).

<!-- LICENSE End -->


<!-- Links Start -->
<a name="links"></a>

Links
------

+ [apeman](https://github.com/apeman-labo/apeman)
+ [apeman-app](https://github.com/apeman-labo/apeman-app)
+ [formidable](https://github.com/felixge/node-formidable)

<!-- Links End -->
