/**
 * Test case for create.
 * Runs with nodeunit.
 */

var create = require('../lib/create.js'),
    freeport = require('freeport'),
    apemanApp = require('apeman-app'),
    request = require('request');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};

exports['Create an app.'] = function (test) {
    var app = create({});
    test.ok(app);
    freeport(function (err, port) {
        test.ifError(err);
        apemanApp('testing-app', {
            configuration: {
                $apps: {
                    'testing-app': {
                        '/': [
                            app,
                            function (req, res, next) {
                                var body = req.body;
                                test.deepEqual(body, {foo: 'bar'});
                                res.end('{}');
                            }
                        ]
                    }
                }
            },
            port: port
        }, function (err, server) {
            test.ifError(err);
            request.post({
                url: 'http://localhost:' + port + '/',
                form: {
                    foo: 'bar'
                }
            }, function (err, res) {
                test.ifError(err);
                console.log(res.statusCode);
                server.close();
                test.done();
            });
        });
    });
};

